.register_profile__container {
  -webkit-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.24);
  -moz-box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.24);
  box-shadow: 0px 4px 4px 0px rgba(0,0,0,0.24);
  border-radius: 4px;
  max-width: 984px;
  overflow: hidden;
  font-family: $Rubik-Font;
  .edit_icon {
    display: none;
  }
  .register_profile__header{
    background-color: rgb(204, 209, 217);
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }
  .register_profile__header__icon {
    border-radius: 50%;
    background-color: rgb(79, 193, 233);
    height: 32px;
    width: 32px;
    margin: 8px 16px;
    img {
      width: 100%;
    }
  }
  .register_profile__header__text {
    text-transform: uppercase;
    font-weight: 500;
    font-size: 14px;
    line-height: 14px;
    color: rgb(67, 74, 84);
  }
  .register_profile__main_info {
    background-color: rgb(79, 193, 233);
    display: flex;
    flex-wrap: wrap;
  }
  .register_profile__main_info__left_part {
    min-height: 226px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
  .register_profile__main_info__photo__container {
    width: 256px;
    height: 256px;
    min-width: 160px;
    max-width: 256px;
    border-radius: 50%;
    background-color: rgb(40, 141, 176);
    max-height: 256px;
    margin: 33px 0;
    overflow: hidden;
  }
  .register_profile__main_info__photo {
    cursor: pointer;
    /*padding-top: 100%;*/
    position: relative;
    img {
      position: absolute;
      width: 256px;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
    }
    p {
      position: absolute;
      top: 85%;
      text-align: center;
      line-height: 1;
      color: rgb(255, 255, 255);
      font-size: 9px;
      width: 100%;
    }
    p.desktop_photo_text {
      display: none;
    }
  }
  .register_profile__main_info__photo_drop{
    width: 256px;
    height: 256px;
    border: none !important;
  }
  .register_profile__contact_info {
    background-color: rgb(67, 74, 84);
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
  }
  .register_profile__contact_info__left_part {
    color: rgba(255, 255, 255, 0.8);
    padding: 17px 12px 17px 8px;
    display: flex;
    cursor: pointer;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    .text {
      font-size: 12px;
    }
    .text:first-letter {
      text-transform: uppercase;
    }
    .text:after {
    }
  }
  .register_profile__contact_info__left_part:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid rgb(230, 233, 237);
    transition: transform 0.5s ease;
  }
  .register_profile__contact_info.opened {
    .register_profile__contact_info__left_part:after {
      transform: rotate(180deg);
    }
    .register_profile__contact_info__info_container {
      max-height: 160px;
    }
  }
  .register_profile__main_info__inputs_container {
    width: 100%;
  }
  .register_profile__main_info__bio {
    border-top: 2px solid rgba(0, 0, 0, 0.24);
    border-bottom: 2px solid rgba(0, 0, 0, 0.24);
    background-color: rgb(204, 209, 217);
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
  }
  .register_profile__main_info__bio__textarea {
    transition: max-height 0.5s ease;
    max-height: 0px;
    overflow: hidden;
  }
  .register_profile__main_info__bio__name_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 17px 12px 17px 8px;
    width: 100%;
  }
  .register_profile__main_info__bio__name_container:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid rgb(70, 77, 87);
    transition: transform 0.5s ease;
  }
  .register_profile__main_info__bio.opened {
    .register_profile__main_info__bio__name_container:after {
      transform: rotate(180deg);
    }
    .register_profile__main_info__bio__textarea {
      max-height: 80px;
    }
  }
  .register_profile__main_info__bio__name {
    color: rgb(67, 74, 84);
    font-size: 12px;
  }
  .register_profile__main_info__bio__name:first-letter {
    text-transform: uppercase;
  }
  .register_profile__submit_section {
    display: flex;
    justify-content: center;
    padding: 8px;
    padding: 24px;
    border-top: 2px solid rgba(0, 0, 0, 0.24);
  }
  .register_profile__submit_section button {
    width: 228px;
  }
  .register_profile__submit_section button p {
    text-transform: uppercase;
  }
  .register_profile__main_info__full_name,
  .register_profile__main_info__job {
    border-top: 2px solid rgba(0, 0, 0, 0.24);
  }
  .register_profile__main_info__bio__name_container {
    cursor: pointer;
  }
  .register_profile__contact_info__info_container {
    width: 100%;
    transition: max-height 0.5s ease;
    max-height: 0px;
    overflow: hidden;
  }
  .register_profile__password_section {
    background-color: rgb(40, 141, 176);
    height: 80px;
    border-top: 2px solid #c2c2c2;
    display: flex;
    .password_container {
      width: 100%;
      display: flex;
      align-items: center;
      .password_container_padding {
        width: 100%;
        display: flex;
        align-items: center;
        padding: 0 8px;
        box-sizing: border-box;
      }
    }
  }
  .register_profile__password_section .dummy_section {
    display: none;
  }
  .register_profile__main_info__job,
  .register_profile__main_info__full_name,
  .register_profile__main_info__bio__textarea,
  .register_profile__contact_info_email,
  .register_profile__contact_info_phone {
    height: 88px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 8px;
  }
  .register_profile__main_info__bio__textarea {
    width: 100%;
    box-sizing: border-box;
  }
  .temporary_input {
    box-sizing: border-box;
    width: 100%;
    margin-top: 7px;
    .mdl-textfield {
      width: 100%;
      padding: 8px 0 0;
      input {
        background: transparent;
        font-size: 14px;
        line-height: 18px;
        padding: 0;
        color: rgba(67, 74, 84, 0.8);
        border: none;
        height: 18px;
        font-weight: 500;
        padding-bottom: 6px;
        border-bottom: 2px solid rgba(39, 162, 206, 0.24);
      }
      input:disabled {
        cursor: not-allowed;
      }
      .mdl-textfield__label {
        font-size: 14px;
        line-height: 18px;
        font-weight: 500;
        color: rgba(67, 74, 84, 0.8);
      }
    }
    .mdl-textfield.is-dirty,
    .mdl-textfield.is-focused {
      .mdl-textfield__label {
        font-size: 12px;
        font-weight: 400;
      }
    }
  }
  .register_profile__main_info__bio__textarea,
  .register_profile__contact_info__info_container,
  .password_container {
    .temporary_input {
      .mdl-textfield {
        input,
        .mdl-textfield__label {
          color: rgba(255, 255, 255, 0.8);
        }
      }
    }
  }
  .register_profile__main_info__job,
  .register_profile__main_info__full_name {
    background-color: white;
  }
}
@media all and (min-width: 600px) {
  .register_profile__container {
    margin: 0 auto;
    .register_profile__main_info__bio__textarea {
      box-sizing: content-box;
    }
    .temporary_input {
      margin-top: 5px;
      width: 90%;
      max-width: 300px;
      .mdl-textfield {
        input {
          font-size: 16px;
          border-bottom: 2px solid rgba(39, 162, 206, 0.24);
        }
        .mdl-textfield__label {
          font-size: 16px;
        }
        .mdl-textfield__label:after {
          background-color: rgba(255, 255, 255, 0.3);
        }
      }
    }
    .register_profile__main_info__job,
    .register_profile__main_info__full_name {
      background-color: inherit;
    }
    .register_profile__main_info__bio__textarea {
      .temporary_input {
        .mdl-textfield {
          input,
          .mdl-textfield__label {
            color: rgba(67, 74, 84, 0.8);
          }
        }
      }
    }
    .edit_icon {
      display: block;
      width: 48px;
      height: 48px;
      cursor: pointer;
      background-image: url(/assets/svg/icon-edit-inactive.svg);
      flex-shrink: 0;
    }
    .edit_icon.non-active {
      pointer-events: none;
    }
    .edit_icon:hover,
    .edit_icon:active,
    .edit_icon:focus {
      background-image: url(/assets/svg/icon-edit-active.svg);
    }
    .register_profile__main_info__photo {
      p {
        font-size: 12px;
      }
      p.mobile_photo_text {
        display: none;
      }
      p.desktop_photo_text {
        display: block;
      }
    }
    .register_profile__contact_info {
      .edit_icon:hover,
      .edit_icon:active,
      .edit_icon:focus {
        background-image: url(/assets/svg/icon-edit-inactive.svg);
      }
    }
    .register_profile__contact_info,
    .register_profile__main_info {
      flex-wrap: nowrap;
    }
    .register_profile__contact_info__left_part,
    .register_profile__main_info__left_part {
      border-right: 2px solid rgba(255, 255, 255, 0.12);
      max-width: 324px;
    }
    .register_profile__contact_info__left_part {
      padding: 0;
      align-items: center;
      justify-content: center;
      cursor: auto;
      text-align: center;
      .text {
        font-size: 16px;
        font-weight: 500;
        line-height: 1.2;
        max-width: 100px;
        text-transform: uppercase;
      }
    }
    .register_profile__main_info__bio__name_container:after,
    .register_profile__contact_info__left_part:after {
      display: none;
    }
    .register_profile__main_info__bio__name_container {
      cursor: inherit;
      display: none;
    }
    .register_profile__main_info__bio {
      background-color: inherit;
      border-top: none;
      border-bottom: none;
    }
    .register_profile__main_info__full_name,
    .register_profile__main_info__job {
      border-top: none;
    }
    .register_profile__submit_section {
      padding: 8px;
      justify-content: flex-end;
      border-top: none;
    }
    .register_profile__password_section {
      border-top: none;
      .password_container {
        width: 100%;
        .password_container_padding {
          width: 100%;
          justify-content: space-around;
          box-sizing: border-box;
        }
      }
    }
    .register_profile__password_section .dummy_section {
      max-width: 324px;
      border-right: 2px solid transparent;
      width: 100%;
      display: block;
    }
    .register_profile__main_info__bio.opened .register_profile__main_info__bio__textarea,
    .register_profile__contact_info.opened .register_profile__contact_info__info_container,
    .register_profile__main_info__bio__textarea,
    .register_profile__contact_info__info_container {
      max-height: none;
    }
    .register_profile__main_info__job,
    .register_profile__main_info__full_name,
    .register_profile__main_info__bio__textarea,
    .register_profile__contact_info_email,
    .register_profile__contact_info_phone {
      justify-content: space-around;
    }
  }
}
